Bug 124931 - UI: in dialog Customize, a key stroke with the focus in the list Shortcut Keys doesn't select the key combination
Summary: UI: in dialog Customize, a key stroke with the focus in the list Shortcut Key...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Customize-Dialog-Keyboard
  Show dependency treegraph
 
Reported: 2019-04-24 13:00 UTC by Cor Nouws
Modified: 2019-04-29 19:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-04-24 13:00:54 UTC
Tools > Customize > Keyboard
Click in list Shortcut Keys (Tab doesn't work..)
Hit e.g. Ctrl+5
  > the selection in the list does not change
Expected:
  Ctrl+5 gets the focus
Comment 1 Cor Nouws 2019-04-24 13:01:44 UTC
noticed in Version: 6.3.0.0.alpha0+
Build ID: 89b1a00e08d8938714dd493fa27f08ba8d9b618d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-04-21_15:52:39
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded

has always been the case > regression
Comment 2 m.a.riosv 2019-04-24 21:22:51 UTC
Repro.
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 3083fe569f96bf0289da1e9d0ef7da15ab22e2f6
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-16_03:05:57
Locale: es-ES (es_ES); UI-Language: en-US
Calc: CL

It works with:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 raal 2019-04-28 05:57:07 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks
19b251a0d9518d8c4b5d7ba372198f21b21d7789 is the first bad commit
commit 19b251a0d9518d8c4b5d7ba372198f21b21d7789
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Mar 6 02:08:26 2019 +0100

    source sha:8ee19e3b6d8c1642da8377583482ca0fd4d30139

author	Caolán McNamara <caolanm@redhat.com>	2019-03-03 21:43:07 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-05 17:34:34 +0100
commit	8ee19e3b6d8c1642da8377583482ca0fd4d30139 (patch)
tree	1bad6d1ab971cd6b71f63af4076cab73e34e2ba7
parent	db8b4d8c58e808f645a5d854b73c8a8132e2d898 (diff)
weld SfxAcceleratorConfigPage
Comment 4 Commit Notification 2019-04-28 19:31:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/164e0d7b104a343d3d4b2d66b46f0dfa73b69a88%5E%21

Resolves: tdf#124931 key stroke in shortcut keys not selecting the key combo

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-04-29 19:27:40 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 101eea01c778ad255d3c8467e06643b23ff6bd76
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!